Changeset 1447 for ThirdParty/All


Ignore:
Timestamp:
Nov 22, 2009 1:49:39 PM (10 years ago)
Author:
stefan
Message:

some cleanup

Location:
ThirdParty/All/branches/BSPsplit
Files:
3 edited

Legend:

Unmodified
Added
Removed
  • ThirdParty/All/branches/BSPsplit/Makefile.in

    r1387 r1447  
    9090distuninstallcheck_listfiles = find . -type f -print
    9191distcleancheck_listfiles = find . -type f -print
     92ABSBUILDDIR = @ABSBUILDDIR@
    9293ACLOCAL = @ACLOCAL@
    9394ADD_CFLAGS = @ADD_CFLAGS@
     
    108109CDEFS = @CDEFS@
    109110CFLAGS = @CFLAGS@
     111COIN_SKIP_PROJECTS = @COIN_SKIP_PROJECTS@
    110112CPP = @CPP@
    111113CPPFLAGS = @CPPFLAGS@
     
    162164PACKAGE_VERSION = @PACKAGE_VERSION@
    163165PATH_SEPARATOR = @PATH_SEPARATOR@
     166PKG_CONFIG = @PKG_CONFIG@
    164167RANLIB = @RANLIB@
    165168RPATH_FLAGS = @RPATH_FLAGS@
     
    181184ac_ct_STRIP = @ac_ct_STRIP@
    182185ac_cxx_preproc_warn_flag = @ac_cxx_preproc_warn_flag@
     186ac_pt_PKG_CONFIG = @ac_pt_PKG_CONFIG@
    183187am__fastdepCC_FALSE = @am__fastdepCC_FALSE@
    184188am__fastdepCC_TRUE = @am__fastdepCC_TRUE@
  • ThirdParty/All/branches/BSPsplit/configure

    r1387 r1447  
    481481ac_subdirs_all="$ac_subdirs_all ThirdParty/Metis"
    482482ac_subdirs_all="$ac_subdirs_all ThirdParty/Mumps"
    483 ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendor build_os CDEFS ADD_CFLAGS DBG_CFLAGS OPT_CFLAGS sol_cc_compiler CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT MPICC CXXDEFS ADD_CXXFLAGS DBG_CXXFLAGS OPT_CXXFLAGS CXX CXXFLAGS ac_ct_CXX MPICXX ADD_FFLAGS DBG_FFLAGS OPT_FFLAGS F77 FFLAGS ac_ct_F77 MPIF77 EGREP INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT LIBTOOLM4 have_autoconf have_automake have_svn BUILDTOOLSDIR AUX_DIR abs_source_dir abs_lib_dir abs_include_dir abs_bin_dir HAVE_EXTERNALS_TRUE HAVE_EXTERNALS_FALSE host host_cpu host_vendor host_os LN_S ECHO AR ac_ct_AR RANLIB ac_ct_RANLIB CPP CXXCPP LIBTOOL ac_c_preproc_warn_flag ac_cxx_preproc_warn_flag RPATH_FLAGS LT_LDFLAGS subdirs LIBEXT VPATH_DISTCLEANFILES LIBOBJS LTLIBOBJS'
     483ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendor build_os CDEFS ADD_CFLAGS DBG_CFLAGS OPT_CFLAGS sol_cc_compiler CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT MPICC CXXDEFS ADD_CXXFLAGS DBG_CXXFLAGS OPT_CXXFLAGS CXX CXXFLAGS ac_ct_CXX MPICXX ADD_FFLAGS DBG_FFLAGS OPT_FFLAGS F77 FFLAGS ac_ct_F77 MPIF77 EGREP INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT LIBTOOLM4 have_autoconf have_automake have_svn BUILDTOOLSDIR AUX_DIR abs_source_dir abs_lib_dir abs_include_dir abs_bin_dir HAVE_EXTERNALS_TRUE HAVE_EXTERNALS_FALSE host host_cpu host_vendor host_os LN_S ECHO AR ac_ct_AR RANLIB ac_ct_RANLIB CPP CXXCPP LIBTOOL ac_c_preproc_warn_flag ac_cxx_preproc_warn_flag RPATH_FLAGS LT_LDFLAGS PKG_CONFIG ac_pt_PKG_CONFIG COIN_SKIP_PROJECTS subdirs LIBEXT VPATH_DISTCLEANFILES ABSBUILDDIR LIBOBJS LTLIBOBJS'
    484484ac_subst_files=''
    485485
     
    10181018ac_cv_env_CXXCPP_set=${CXXCPP+set}
    10191019ac_cv_env_CXXCPP_value=$CXXCPP
     1020ac_env_PKG_CONFIG_set=${PKG_CONFIG+set}
     1021ac_env_PKG_CONFIG_value=$PKG_CONFIG
     1022ac_cv_env_PKG_CONFIG_set=${PKG_CONFIG+set}
     1023ac_cv_env_PKG_CONFIG_value=$PKG_CONFIG
     1024ac_env_COIN_SKIP_PROJECTS_set=${COIN_SKIP_PROJECTS+set}
     1025ac_env_COIN_SKIP_PROJECTS_value=$COIN_SKIP_PROJECTS
     1026ac_cv_env_COIN_SKIP_PROJECTS_set=${COIN_SKIP_PROJECTS+set}
     1027ac_cv_env_COIN_SKIP_PROJECTS_value=$COIN_SKIP_PROJECTS
    10201028
    10211029#
     
    11161124                          optimize for fast installation [default=yes]
    11171125  --disable-libtool-lock  avoid locking (might break parallel builds)
     1126  --enable-pkg-config     use pkg-config if available (default is yes)
    11181127
    11191128Optional Packages:
     
    11251134  --with-tags[=TAGS]
    11261135                          include additional configurations [automatic]
     1136  --with-asl-lib linker flags for using project ASL
     1137  --with-asl-incdir directory with header files for using project ASL
     1138  --with-asl-datadir directory with data files for using project ASL
     1139  --with-coin-instdir     prefix of installation directory for precompiled
     1140                          COIN packages
     1141  --with-blas-lib linker flags for using project Blas
     1142  --with-blas-incdir directory with header files for using project Blas
     1143  --with-blas-datadir directory with data files for using project Blas
     1144  --with-filtersqp-lib linker flags for using project FilterSQP
     1145  --with-filtersqp-incdir directory with header files for using project
     1146                          FilterSQP
     1147  --with-filtersqp-datadir
     1148                          directory with data files for using project
     1149                          FilterSQP
     1150  --with-glpk-lib linker flags for using project Glpk
     1151  --with-glpk-incdir directory with header files for using project Glpk
     1152  --with-glpk-datadir directory with data files for using project Glpk
     1153  --with-hsl-lib linker flags for using project HSL
     1154  --with-hsl-incdir directory with header files for using project HSL
     1155  --with-hsl-datadir directory with data files for using project HSL
     1156  --with-lapack-lib linker flags for using project Lapack
     1157  --with-lapack-incdir directory with header files for using project Lapack
     1158  --with-lapack-datadir directory with data files for using project Lapack
     1159  --with-metis-lib linker flags for using project Metis
     1160  --with-metis-incdir directory with header files for using project Metis
     1161  --with-metis-datadir directory with data files for using project Metis
     1162  --with-mumps-lib linker flags for using project Mumps
     1163  --with-mumps-incdir directory with header files for using project Mumps
     1164  --with-mumps-datadir directory with data files for using project Mumps
    11271165
    11281166Some influential environment variables:
     
    11561194  CPP         C preprocessor
    11571195  CXXCPP      C++ preprocessor
     1196  PKG_CONFIG  path to pkg-config utility
     1197  COIN_SKIP_PROJECTS
     1198              Set to the subdirectories of projects that should be skipped in
     1199              the configuration
    11581200
    11591201Use these variables to override the choices made by `configure' or to help
     
    41564198
    41574199# Provide some information about the compiler.
    4158 echo "$as_me:4158:" \
     4200echo "$as_me:4200:" \
    41594201     "checking for Fortran 77 compiler version" >&5
    41604202ac_compiler=`set X $ac_compile; echo $2`
     
    64156457*-*-irix6*)
    64166458  # Find out which ABI we are using.
    6417   echo '#line 6417 "configure"' > conftest.$ac_ext
     6459  echo '#line 6459 "configure"' > conftest.$ac_ext
    64186460  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    64196461  (eval $ac_compile) 2>&5
     
    83798421   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    83808422   -e 's:$: $lt_compiler_flag:'`
    8381    (eval echo "\"\$as_me:8381: $lt_compile\"" >&5)
     8423   (eval echo "\"\$as_me:8423: $lt_compile\"" >&5)
    83828424   (eval "$lt_compile" 2>conftest.err)
    83838425   ac_status=$?
    83848426   cat conftest.err >&5
    8385    echo "$as_me:8385: \$? = $ac_status" >&5
     8427   echo "$as_me:8427: \$? = $ac_status" >&5
    83868428   if (exit $ac_status) && test -s "$ac_outfile"; then
    83878429     # The compiler can only warn and ignore the option if not recognized
     
    86478689   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    86488690   -e 's:$: $lt_compiler_flag:'`
    8649    (eval echo "\"\$as_me:8649: $lt_compile\"" >&5)
     8691   (eval echo "\"\$as_me:8691: $lt_compile\"" >&5)
    86508692   (eval "$lt_compile" 2>conftest.err)
    86518693   ac_status=$?
    86528694   cat conftest.err >&5
    8653    echo "$as_me:8653: \$? = $ac_status" >&5
     8695   echo "$as_me:8695: \$? = $ac_status" >&5
    86548696   if (exit $ac_status) && test -s "$ac_outfile"; then
    86558697     # The compiler can only warn and ignore the option if not recognized
     
    87518793   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    87528794   -e 's:$: $lt_compiler_flag:'`
    8753    (eval echo "\"\$as_me:8753: $lt_compile\"" >&5)
     8795   (eval echo "\"\$as_me:8795: $lt_compile\"" >&5)
    87548796   (eval "$lt_compile" 2>out/conftest.err)
    87558797   ac_status=$?
    87568798   cat out/conftest.err >&5
    8757    echo "$as_me:8757: \$? = $ac_status" >&5
     8799   echo "$as_me:8799: \$? = $ac_status" >&5
    87588800   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    87598801   then
     
    1109611138  lt_status=$lt_dlunknown
    1109711139  cat > conftest.$ac_ext <<EOF
    11098 #line 11098 "configure"
     11140#line 11140 "configure"
    1109911141#include "confdefs.h"
    1110011142
     
    1119611238  lt_status=$lt_dlunknown
    1119711239  cat > conftest.$ac_ext <<EOF
    11198 #line 11198 "configure"
     11240#line 11240 "configure"
    1119911241#include "confdefs.h"
    1120011242
     
    1354013582   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1354113583   -e 's:$: $lt_compiler_flag:'`
    13542    (eval echo "\"\$as_me:13542: $lt_compile\"" >&5)
     13584   (eval echo "\"\$as_me:13584: $lt_compile\"" >&5)
    1354313585   (eval "$lt_compile" 2>conftest.err)
    1354413586   ac_status=$?
    1354513587   cat conftest.err >&5
    13546    echo "$as_me:13546: \$? = $ac_status" >&5
     13588   echo "$as_me:13588: \$? = $ac_status" >&5
    1354713589   if (exit $ac_status) && test -s "$ac_outfile"; then
    1354813590     # The compiler can only warn and ignore the option if not recognized
     
    1364413686   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1364513687   -e 's:$: $lt_compiler_flag:'`
    13646    (eval echo "\"\$as_me:13646: $lt_compile\"" >&5)
     13688   (eval echo "\"\$as_me:13688: $lt_compile\"" >&5)
    1364713689   (eval "$lt_compile" 2>out/conftest.err)
    1364813690   ac_status=$?
    1364913691   cat out/conftest.err >&5
    13650    echo "$as_me:13650: \$? = $ac_status" >&5
     13692   echo "$as_me:13692: \$? = $ac_status" >&5
    1365113693   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1365213694   then
     
    1521415256   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1521515257   -e 's:$: $lt_compiler_flag:'`
    15216    (eval echo "\"\$as_me:15216: $lt_compile\"" >&5)
     15258   (eval echo "\"\$as_me:15258: $lt_compile\"" >&5)
    1521715259   (eval "$lt_compile" 2>conftest.err)
    1521815260   ac_status=$?
    1521915261   cat conftest.err >&5
    15220    echo "$as_me:15220: \$? = $ac_status" >&5
     15262   echo "$as_me:15262: \$? = $ac_status" >&5
    1522115263   if (exit $ac_status) && test -s "$ac_outfile"; then
    1522215264     # The compiler can only warn and ignore the option if not recognized
     
    1531815360   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1531915361   -e 's:$: $lt_compiler_flag:'`
    15320    (eval echo "\"\$as_me:15320: $lt_compile\"" >&5)
     15362   (eval echo "\"\$as_me:15362: $lt_compile\"" >&5)
    1532115363   (eval "$lt_compile" 2>out/conftest.err)
    1532215364   ac_status=$?
    1532315365   cat out/conftest.err >&5
    15324    echo "$as_me:15324: \$? = $ac_status" >&5
     15366   echo "$as_me:15366: \$? = $ac_status" >&5
    1532515367   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1532615368   then
     
    1752517567   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1752617568   -e 's:$: $lt_compiler_flag:'`
    17527    (eval echo "\"\$as_me:17527: $lt_compile\"" >&5)
     17569   (eval echo "\"\$as_me:17569: $lt_compile\"" >&5)
    1752817570   (eval "$lt_compile" 2>conftest.err)
    1752917571   ac_status=$?
    1753017572   cat conftest.err >&5
    17531    echo "$as_me:17531: \$? = $ac_status" >&5
     17573   echo "$as_me:17573: \$? = $ac_status" >&5
    1753217574   if (exit $ac_status) && test -s "$ac_outfile"; then
    1753317575     # The compiler can only warn and ignore the option if not recognized
     
    1779317835   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1779417836   -e 's:$: $lt_compiler_flag:'`
    17795    (eval echo "\"\$as_me:17795: $lt_compile\"" >&5)
     17837   (eval echo "\"\$as_me:17837: $lt_compile\"" >&5)
    1779617838   (eval "$lt_compile" 2>conftest.err)
    1779717839   ac_status=$?
    1779817840   cat conftest.err >&5
    17799    echo "$as_me:17799: \$? = $ac_status" >&5
     17841   echo "$as_me:17841: \$? = $ac_status" >&5
    1780017842   if (exit $ac_status) && test -s "$ac_outfile"; then
    1780117843     # The compiler can only warn and ignore the option if not recognized
     
    1789717939   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1789817940   -e 's:$: $lt_compiler_flag:'`
    17899    (eval echo "\"\$as_me:17899: $lt_compile\"" >&5)
     17941   (eval echo "\"\$as_me:17941: $lt_compile\"" >&5)
    1790017942   (eval "$lt_compile" 2>out/conftest.err)
    1790117943   ac_status=$?
    1790217944   cat out/conftest.err >&5
    17903    echo "$as_me:17903: \$? = $ac_status" >&5
     17945   echo "$as_me:17945: \$? = $ac_status" >&5
    1790417946   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1790517947   then
     
    2080520847#############################################################################
    2080620848
    20807 echo "$as_me:$LINENO: checking whether code for third party package ASL is available" >&5
    20808 echo $ECHO_N "checking whether code for third party package ASL is available... $ECHO_C" >&6
    20809 coin_skip=no
     20849
     20850
     20851# Check whether --enable-pkg-config or --disable-pkg-config was given.
     20852if test "${enable_pkg_config+set}" = set; then
     20853  enableval="$enable_pkg_config"
     20854  use_pkgconfig="$enableval"
     20855else
     20856  use_pkgconfig=yes
     20857fi;
     20858
     20859if test $use_pkgconfig = yes ; then
     20860  if test "x$ac_cv_env_PKG_CONFIG_set" != "xset"; then
     20861    if test -n "$ac_tool_prefix"; then
     20862  # Extract the first word of "${ac_tool_prefix}pkg-config", so it can be a program name with args.
     20863set dummy ${ac_tool_prefix}pkg-config; ac_word=$2
     20864echo "$as_me:$LINENO: checking for $ac_word" >&5
     20865echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
     20866if test "${ac_cv_path_PKG_CONFIG+set}" = set; then
     20867  echo $ECHO_N "(cached) $ECHO_C" >&6
     20868else
     20869  case $PKG_CONFIG in
     20870  [\\/]* | ?:[\\/]*)
     20871  ac_cv_path_PKG_CONFIG="$PKG_CONFIG" # Let the user override the test with a path.
     20872  ;;
     20873  *)
     20874  as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
     20875for as_dir in $PATH
     20876do
     20877  IFS=$as_save_IFS
     20878  test -z "$as_dir" && as_dir=.
     20879  for ac_exec_ext in '' $ac_executable_extensions; do
     20880  if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
     20881    ac_cv_path_PKG_CONFIG="$as_dir/$ac_word$ac_exec_ext"
     20882    echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
     20883    break 2
     20884  fi
     20885done
     20886done
     20887
     20888  ;;
     20889esac
     20890fi
     20891PKG_CONFIG=$ac_cv_path_PKG_CONFIG
     20892
     20893if test -n "$PKG_CONFIG"; then
     20894  echo "$as_me:$LINENO: result: $PKG_CONFIG" >&5
     20895echo "${ECHO_T}$PKG_CONFIG" >&6
     20896else
     20897  echo "$as_me:$LINENO: result: no" >&5
     20898echo "${ECHO_T}no" >&6
     20899fi
     20900
     20901fi
     20902if test -z "$ac_cv_path_PKG_CONFIG"; then
     20903  ac_pt_PKG_CONFIG=$PKG_CONFIG
     20904  # Extract the first word of "pkg-config", so it can be a program name with args.
     20905set dummy pkg-config; ac_word=$2
     20906echo "$as_me:$LINENO: checking for $ac_word" >&5
     20907echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
     20908if test "${ac_cv_path_ac_pt_PKG_CONFIG+set}" = set; then
     20909  echo $ECHO_N "(cached) $ECHO_C" >&6
     20910else
     20911  case $ac_pt_PKG_CONFIG in
     20912  [\\/]* | ?:[\\/]*)
     20913  ac_cv_path_ac_pt_PKG_CONFIG="$ac_pt_PKG_CONFIG" # Let the user override the test with a path.
     20914  ;;
     20915  *)
     20916  as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
     20917for as_dir in $PATH
     20918do
     20919  IFS=$as_save_IFS
     20920  test -z "$as_dir" && as_dir=.
     20921  for ac_exec_ext in '' $ac_executable_extensions; do
     20922  if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
     20923    ac_cv_path_ac_pt_PKG_CONFIG="$as_dir/$ac_word$ac_exec_ext"
     20924    echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
     20925    break 2
     20926  fi
     20927done
     20928done
     20929
     20930  ;;
     20931esac
     20932fi
     20933ac_pt_PKG_CONFIG=$ac_cv_path_ac_pt_PKG_CONFIG
     20934
     20935if test -n "$ac_pt_PKG_CONFIG"; then
     20936  echo "$as_me:$LINENO: result: $ac_pt_PKG_CONFIG" >&5
     20937echo "${ECHO_T}$ac_pt_PKG_CONFIG" >&6
     20938else
     20939  echo "$as_me:$LINENO: result: no" >&5
     20940echo "${ECHO_T}no" >&6
     20941fi
     20942
     20943  PKG_CONFIG=$ac_pt_PKG_CONFIG
     20944else
     20945  PKG_CONFIG="$ac_cv_path_PKG_CONFIG"
     20946fi
     20947
     20948  fi
     20949  if test -n "$PKG_CONFIG"; then
     20950    _pkg_min_version=0.9.0
     20951    echo "$as_me:$LINENO: checking pkg-config is at least version $_pkg_min_version" >&5
     20952echo $ECHO_N "checking pkg-config is at least version $_pkg_min_version... $ECHO_C" >&6
     20953    if $PKG_CONFIG --atleast-pkgconfig-version $_pkg_min_version; then
     20954      echo "$as_me:$LINENO: result: yes" >&5
     20955echo "${ECHO_T}yes" >&6
     20956    else
     20957      echo "$as_me:$LINENO: result: no" >&5
     20958echo "${ECHO_T}no" >&6
     20959      PKG_CONFIG=""
     20960    fi
     20961  fi
     20962
     20963  # check if pkg-config supports the short-errors flag
     20964  if test -n "$PKG_CONFIG" && \
     20965    $PKG_CONFIG --atleast-pkgconfig-version 0.20; then
     20966    pkg_short_errors=" --short-errors "
     20967  else
     20968    pkg_short_errors=""
     20969  fi
     20970fi
     20971
     20972
     20973echo "$as_me:$LINENO: checking whether project ASL is available" >&5
     20974echo $ECHO_N "checking whether project ASL is available... $ECHO_C" >&6
     20975
     20976coin_has_asl=notGiven
     20977
     20978# check if user wants to skip project in any case
     20979
    2081020980if test x"$COIN_SKIP_PROJECTS" != x; then
    2081120981  for dir in $COIN_SKIP_PROJECTS; do
    20812     if test $dir = ThirdParty/ASL; then
    20813       coin_skip=yes
     20982    if test $dir = "ASL"; then
     20983      coin_has_asl=skipping
     20984    fi
     20985    if test $dir = "ThirdParty/ASL"; then
     20986      coin_has_asl=skipping
    2081420987    fi
    2081520988  done
    2081620989fi
    20817 if test $coin_skip = yes; then
    20818   echo "$as_me:$LINENO: result: skipping" >&5
    20819 echo "${ECHO_T}skipping" >&6
    20820 else
    20821   coin_tmp=`echo $srcdir/ThirdParty/ASL/solvers/asl.h`
    20822   # There is probably a more elegant way to get the first thing out here...
    20823   for i in $coin_tmp; do
    20824     coin_tmp2=$i
    20825     #break 1
    20826   done
    20827   if test -r $coin_tmp2; then
     20990
     20991if test $coin_has_asl != skipping; then
     20992  if test $PACKAGE_TARNAME = asl; then
     20993    coin_has_asl=.
     20994  fi
     20995
     20996
     20997# Check whether --with-m4_tolower(ASL)-lib or --without-m4_tolower(ASL)-lib was given.
     20998if test "${with_asl_lib+set}" = set; then
     20999  withval="$with_asl_lib"
     21000  coin_has_asl=installed
     21001fi;
     21002
     21003
     21004# Check whether --with-m4_tolower(ASL)-incdir or --without-m4_tolower(ASL)-incdir was given.
     21005if test "${with_asl_incdir+set}" = set; then
     21006  withval="$with_asl_incdir"
     21007  coin_has_asl=installed
     21008fi;
     21009
     21010
     21011# Check whether --with-m4_tolower(ASL)-datadir or --without-m4_tolower(ASL)-datadir was given.
     21012if test "${with_asl_datadir+set}" = set; then
     21013  withval="$with_asl_datadir"
     21014  coin_has_asl=installed
     21015fi;
     21016fi
     21017
     21018if test $coin_has_asl = notGiven; then
     21019  #only if pkg-config is available:
     21020  #see if user gives directory where project might be installed: assemble search path for pkg-config
     21021  if test -n "$PKG_CONFIG" ; then
     21022    coin_save_PKG_CONFIG_PATH="$PKG_CONFIG_PATH"
     21023
     21024# Check whether --with-coin-instdir or --without-coin-instdir was given.
     21025if test "${with_coin_instdir+set}" = set; then
     21026  withval="$with_coin_instdir"
     21027  if test -d "$withval"; then : ; else
     21028         { { echo "$as_me:$LINENO: error: argument for --with-coin-instdir not a directory" >&5
     21029echo "$as_me: error: argument for --with-coin-instdir not a directory" >&2;}
     21030   { (exit 1); exit 1; }; }
     21031       fi
     21032       PKG_CONFIG_PATH="$withval/lib/ThirdParty/pkgconfig:$PKG_CONFIG_PATH"
     21033
     21034fi;
     21035
     21036    # let pkgconfig check if the project is already installed somewhere
     21037    # need to export variable to be sure that the following pkg-config call gets these values
     21038    export PKG_CONFIG_PATH
     21039
     21040if test -n "$PKG_CONFIG" ; then
     21041  if $PKG_CONFIG --exists "asl"; then
     21042    ASL_VERSION=`$PKG_CONFIG --modversion "asl" 2>/dev/null`
     21043    coin_has_asl="$ASL_VERSION"
     21044  else
     21045    ASL_PKG_ERRORS=`$PKG_CONFIG $pkg_short_errors --errors-to-stdout --print-errors "asl"`
     21046
     21047  fi
     21048else
     21049  { { echo "$as_me:$LINENO: error: \"Cannot check for existance of module ASL without pkg-config\"" >&5
     21050echo "$as_me: error: \"Cannot check for existance of module ASL without pkg-config\"" >&2;}
     21051   { (exit 1); exit 1; }; }
     21052fi
     21053
     21054
     21055    PKG_CONFIG_PATH="$coin_save_PKG_CONFIG_PATH"
     21056  fi
     21057fi
     21058
     21059# if not found yet, check if project is available in present directory
     21060if test "$coin_has_asl" = notGiven; then
     21061  if test -d $srcdir/ThirdParty/ASL; then
     21062    coin_pkg_is_here=no
     21063    for i in $srcdir/ThirdParty/ASL/solvers/asl.h; do
     21064         if test -r $i; then
     21065           coin_pkg_is_here=yes
     21066         fi
     21067       done
     21068
     21069    if test $coin_pkg_is_here = yes; then
     21070      coin_has_asl=ThirdParty/ASL
     21071    fi
     21072  fi
     21073fi
     21074
     21075echo "$as_me:$LINENO: result: $coin_has_asl" >&5
     21076echo "${ECHO_T}$coin_has_asl" >&6
     21077
     21078echo "$as_me:$LINENO: checking whether project ASL need to be configured" >&5
     21079echo $ECHO_N "checking whether project ASL need to be configured... $ECHO_C" >&6
     21080if test "$coin_has_asl" != skipping &&
     21081   test "$coin_has_asl" != notGiven &&
     21082   test "$coin_has_asl" != installed; then
     21083
     21084  if test -r $srcdir/ThirdParty/ASL/configure; then
    2082821085    coin_subdirs="$coin_subdirs ThirdParty/ASL"
    2082921086    echo "$as_me:$LINENO: result: yes" >&5
     
    2083721094echo "${ECHO_T}no" >&6
    2083821095  fi
    20839 fi
    20840 
    20841 echo "$as_me:$LINENO: checking whether code for third party package Blas is available" >&5
    20842 echo $ECHO_N "checking whether code for third party package Blas is available... $ECHO_C" >&6
    20843 coin_skip=no
     21096else
     21097  echo "$as_me:$LINENO: result: no" >&5
     21098echo "${ECHO_T}no" >&6
     21099fi
     21100
     21101
     21102echo "$as_me:$LINENO: checking whether project Blas is available" >&5
     21103echo $ECHO_N "checking whether project Blas is available... $ECHO_C" >&6
     21104
     21105coin_has_blas=notGiven
     21106
     21107# check if user wants to skip project in any case
     21108
    2084421109if test x"$COIN_SKIP_PROJECTS" != x; then
    2084521110  for dir in $COIN_SKIP_PROJECTS; do
    20846     if test $dir = ThirdParty/Blas; then
    20847       coin_skip=yes
     21111    if test $dir = "Blas"; then
     21112      coin_has_blas=skipping
     21113    fi
     21114    if test $dir = "ThirdParty/Blas"; then
     21115      coin_has_blas=skipping
    2084821116    fi
    2084921117  done
    2085021118fi
    20851 if test $coin_skip = yes; then
    20852   echo "$as_me:$LINENO: result: skipping" >&5
    20853 echo "${ECHO_T}skipping" >&6
    20854 else
    20855   coin_tmp=`echo $srcdir/ThirdParty/Blas/daxpy.f`
    20856   # There is probably a more elegant way to get the first thing out here...
    20857   for i in $coin_tmp; do
    20858     coin_tmp2=$i
    20859     #break 1
    20860   done
    20861   if test -r $coin_tmp2; then
     21119
     21120if test $coin_has_blas != skipping; then
     21121  if test $PACKAGE_TARNAME = blas; then
     21122    coin_has_blas=.
     21123  fi
     21124
     21125
     21126# Check whether --with-m4_tolower(Blas)-lib or --without-m4_tolower(Blas)-lib was given.
     21127if test "${with_blas_lib+set}" = set; then
     21128  withval="$with_blas_lib"
     21129  coin_has_blas=installed
     21130fi;
     21131
     21132
     21133# Check whether --with-m4_tolower(Blas)-incdir or --without-m4_tolower(Blas)-incdir was given.
     21134if test "${with_blas_incdir+set}" = set; then
     21135  withval="$with_blas_incdir"
     21136  coin_has_blas=installed
     21137fi;
     21138
     21139
     21140# Check whether --with-m4_tolower(Blas)-datadir or --without-m4_tolower(Blas)-datadir was given.
     21141if test "${with_blas_datadir+set}" = set; then
     21142  withval="$with_blas_datadir"
     21143  coin_has_blas=installed
     21144fi;
     21145fi
     21146
     21147if test $coin_has_blas = notGiven; then
     21148  #only if pkg-config is available:
     21149  #see if user gives directory where project might be installed: assemble search path for pkg-config
     21150  if test -n "$PKG_CONFIG" ; then
     21151    coin_save_PKG_CONFIG_PATH="$PKG_CONFIG_PATH"
     21152
     21153# Check whether --with-coin-instdir or --without-coin-instdir was given.
     21154if test "${with_coin_instdir+set}" = set; then
     21155  withval="$with_coin_instdir"
     21156  if test -d "$withval"; then : ; else
     21157         { { echo "$as_me:$LINENO: error: argument for --with-coin-instdir not a directory" >&5
     21158echo "$as_me: error: argument for --with-coin-instdir not a directory" >&2;}
     21159   { (exit 1); exit 1; }; }
     21160       fi
     21161       PKG_CONFIG_PATH="$withval/lib/ThirdParty/pkgconfig:$PKG_CONFIG_PATH"
     21162
     21163fi;
     21164
     21165    # let pkgconfig check if the project is already installed somewhere
     21166    # need to export variable to be sure that the following pkg-config call gets these values
     21167    export PKG_CONFIG_PATH
     21168
     21169if test -n "$PKG_CONFIG" ; then
     21170  if $PKG_CONFIG --exists "blas"; then
     21171    BLAS_VERSION=`$PKG_CONFIG --modversion "blas" 2>/dev/null`
     21172    coin_has_blas="$BLAS_VERSION"
     21173  else
     21174    BLAS_PKG_ERRORS=`$PKG_CONFIG $pkg_short_errors --errors-to-stdout --print-errors "blas"`
     21175
     21176  fi
     21177else
     21178  { { echo "$as_me:$LINENO: error: \"Cannot check for existance of module Blas without pkg-config\"" >&5
     21179echo "$as_me: error: \"Cannot check for existance of module Blas without pkg-config\"" >&2;}
     21180   { (exit 1); exit 1; }; }
     21181fi
     21182
     21183
     21184    PKG_CONFIG_PATH="$coin_save_PKG_CONFIG_PATH"
     21185  fi
     21186fi
     21187
     21188# if not found yet, check if project is available in present directory
     21189if test "$coin_has_blas" = notGiven; then
     21190  if test -d $srcdir/ThirdParty/Blas; then
     21191    coin_pkg_is_here=no
     21192    for i in $srcdir/ThirdParty/Blas/daxpy.f; do
     21193         if test -r $i; then
     21194           coin_pkg_is_here=yes
     21195         fi
     21196       done
     21197
     21198    if test $coin_pkg_is_here = yes; then
     21199      coin_has_blas=ThirdParty/Blas
     21200    fi
     21201  fi
     21202fi
     21203
     21204echo "$as_me:$LINENO: result: $coin_has_blas" >&5
     21205echo "${ECHO_T}$coin_has_blas" >&6
     21206
     21207echo "$as_me:$LINENO: checking whether project Blas need to be configured" >&5
     21208echo $ECHO_N "checking whether project Blas need to be configured... $ECHO_C" >&6
     21209if test "$coin_has_blas" != skipping &&
     21210   test "$coin_has_blas" != notGiven &&
     21211   test "$coin_has_blas" != installed; then
     21212
     21213  if test -r $srcdir/ThirdParty/Blas/configure; then
    2086221214    coin_subdirs="$coin_subdirs ThirdParty/Blas"
    2086321215    echo "$as_me:$LINENO: result: yes" >&5
     
    2087121223echo "${ECHO_T}no" >&6
    2087221224  fi
    20873 fi
    20874 
    20875 echo "$as_me:$LINENO: checking whether code for third party package FilterSQP is available" >&5
    20876 echo $ECHO_N "checking whether code for third party package FilterSQP is available... $ECHO_C" >&6
    20877 coin_skip=no
     21225else
     21226  echo "$as_me:$LINENO: result: no" >&5
     21227echo "${ECHO_T}no" >&6
     21228fi
     21229
     21230
     21231echo "$as_me:$LINENO: checking whether project FilterSQP is available" >&5
     21232echo $ECHO_N "checking whether project FilterSQP is available... $ECHO_C" >&6
     21233
     21234coin_has_filtersqp=notGiven
     21235
     21236# check if user wants to skip project in any case
     21237
    2087821238if test x"$COIN_SKIP_PROJECTS" != x; then
    2087921239  for dir in $COIN_SKIP_PROJECTS; do
    20880     if test $dir = ThirdParty/FilterSQP; then
    20881       coin_skip=yes
     21240    if test $dir = "FilterSQP"; then
     21241      coin_has_filtersqp=skipping
     21242    fi
     21243    if test $dir = "ThirdParty/FilterSQP"; then
     21244      coin_has_filtersqp=skipping
    2088221245    fi
    2088321246  done
    2088421247fi
    20885 if test $coin_skip = yes; then
    20886   echo "$as_me:$LINENO: result: skipping" >&5
    20887 echo "${ECHO_T}skipping" >&6
    20888 else
    20889   coin_tmp=`echo $srcdir/ThirdParty/FilterSQP/source/src/filter.f`
    20890   # There is probably a more elegant way to get the first thing out here...
    20891   for i in $coin_tmp; do
    20892     coin_tmp2=$i
    20893     #break 1
    20894   done
    20895   if test -r $coin_tmp2; then
     21248
     21249if test $coin_has_filtersqp != skipping; then
     21250  if test $PACKAGE_TARNAME = filtersqp; then
     21251    coin_has_filtersqp=.
     21252  fi
     21253
     21254
     21255# Check whether --with-m4_tolower(FilterSQP)-lib or --without-m4_tolower(FilterSQP)-lib was given.
     21256if test "${with_filtersqp_lib+set}" = set; then
     21257  withval="$with_filtersqp_lib"
     21258  coin_has_filtersqp=installed
     21259fi;
     21260
     21261
     21262# Check whether --with-m4_tolower(FilterSQP)-incdir or --without-m4_tolower(FilterSQP)-incdir was given.
     21263if test "${with_filtersqp_incdir+set}" = set; then
     21264  withval="$with_filtersqp_incdir"
     21265  coin_has_filtersqp=installed
     21266fi;
     21267
     21268
     21269# Check whether --with-m4_tolower(FilterSQP)-datadir or --without-m4_tolower(FilterSQP)-datadir was given.
     21270if test "${with_filtersqp_datadir+set}" = set; then
     21271  withval="$with_filtersqp_datadir"
     21272  coin_has_filtersqp=installed
     21273fi;
     21274fi
     21275
     21276if test $coin_has_filtersqp = notGiven; then
     21277  #only if pkg-config is available:
     21278  #see if user gives directory where project might be installed: assemble search path for pkg-config
     21279  if test -n "$PKG_CONFIG" ; then
     21280    coin_save_PKG_CONFIG_PATH="$PKG_CONFIG_PATH"
     21281
     21282# Check whether --with-coin-instdir or --without-coin-instdir was given.
     21283if test "${with_coin_instdir+set}" = set; then
     21284  withval="$with_coin_instdir"
     21285  if test -d "$withval"; then : ; else
     21286         { { echo "$as_me:$LINENO: error: argument for --with-coin-instdir not a directory" >&5
     21287echo "$as_me: error: argument for --with-coin-instdir not a directory" >&2;}
     21288   { (exit 1); exit 1; }; }
     21289       fi
     21290       PKG_CONFIG_PATH="$withval/lib/ThirdParty/pkgconfig:$PKG_CONFIG_PATH"
     21291
     21292fi;
     21293
     21294    # let pkgconfig check if the project is already installed somewhere
     21295    # need to export variable to be sure that the following pkg-config call gets these values
     21296    export PKG_CONFIG_PATH
     21297
     21298if test -n "$PKG_CONFIG" ; then
     21299  if $PKG_CONFIG --exists "filtersqp"; then
     21300    FILTERSQP_VERSION=`$PKG_CONFIG --modversion "filtersqp" 2>/dev/null`
     21301    coin_has_filtersqp="$FILTERSQP_VERSION"
     21302  else
     21303    FILTERSQP_PKG_ERRORS=`$PKG_CONFIG $pkg_short_errors --errors-to-stdout --print-errors "filtersqp"`
     21304
     21305  fi
     21306else
     21307  { { echo "$as_me:$LINENO: error: \"Cannot check for existance of module FilterSQP without pkg-config\"" >&5
     21308echo "$as_me: error: \"Cannot check for existance of module FilterSQP without pkg-config\"" >&2;}
     21309   { (exit 1); exit 1; }; }
     21310fi
     21311
     21312
     21313    PKG_CONFIG_PATH="$coin_save_PKG_CONFIG_PATH"
     21314  fi
     21315fi
     21316
     21317# if not found yet, check if project is available in present directory
     21318if test "$coin_has_filtersqp" = notGiven; then
     21319  if test -d $srcdir/ThirdParty/FilterSQP; then
     21320    coin_pkg_is_here=no
     21321    for i in $srcdir/ThirdParty/FilterSQP/source/src/filter.f; do
     21322         if test -r $i; then
     21323           coin_pkg_is_here=yes
     21324         fi
     21325       done
     21326
     21327    if test $coin_pkg_is_here = yes; then
     21328      coin_has_filtersqp=ThirdParty/FilterSQP
     21329    fi
     21330  fi
     21331fi
     21332
     21333echo "$as_me:$LINENO: result: $coin_has_filtersqp" >&5
     21334echo "${ECHO_T}$coin_has_filtersqp" >&6
     21335
     21336echo "$as_me:$LINENO: checking whether project FilterSQP need to be configured" >&5
     21337echo $ECHO_N "checking whether project FilterSQP need to be configured... $ECHO_C" >&6
     21338if test "$coin_has_filtersqp" != skipping &&
     21339   test "$coin_has_filtersqp" != notGiven &&
     21340   test "$coin_has_filtersqp" != installed; then
     21341
     21342  if test -r $srcdir/ThirdParty/FilterSQP/configure; then
    2089621343    coin_subdirs="$coin_subdirs ThirdParty/FilterSQP"
    2089721344    echo "$as_me:$LINENO: result: yes" >&5
     
    2090521352echo "${ECHO_T}no" >&6
    2090621353  fi
    20907 fi
    20908 
    20909 echo "$as_me:$LINENO: checking whether code for third party package Glpk is available" >&5
    20910 echo $ECHO_N "checking whether code for third party package Glpk is available... $ECHO_C" >&6
    20911 coin_skip=no
     21354else
     21355  echo "$as_me:$LINENO: result: no" >&5
     21356echo "${ECHO_T}no" >&6
     21357fi
     21358
     21359
     21360echo "$as_me:$LINENO: checking whether project Glpk is available" >&5
     21361echo $ECHO_N "checking whether project Glpk is available... $ECHO_C" >&6
     21362
     21363coin_has_glpk=notGiven
     21364
     21365# check if user wants to skip project in any case
     21366
    2091221367if test x"$COIN_SKIP_PROJECTS" != x; then
    2091321368  for dir in $COIN_SKIP_PROJECTS; do
    20914     if test $dir = ThirdParty/Glpk; then
    20915       coin_skip=yes
     21369    if test $dir = "Glpk"; then
     21370      coin_has_glpk=skipping
     21371    fi
     21372    if test $dir = "ThirdParty/Glpk"; then
     21373      coin_has_glpk=skipping
    2091621374    fi
    2091721375  done
    2091821376fi
    20919 if test $coin_skip = yes; then
    20920   echo "$as_me:$LINENO: result: skipping" >&5
    20921 echo "${ECHO_T}skipping" >&6
    20922 else
    20923   coin_tmp=`echo $srcdir/ThirdParty/Glpk/glpk/src/glplpx01.c`
    20924   # There is probably a more elegant way to get the first thing out here...
    20925   for i in $coin_tmp; do
    20926     coin_tmp2=$i
    20927     #break 1
    20928   done
    20929   if test -r $coin_tmp2; then
     21377
     21378if test $coin_has_glpk != skipping; then
     21379  if test $PACKAGE_TARNAME = glpk; then
     21380    coin_has_glpk=.
     21381  fi
     21382
     21383
     21384# Check whether --with-m4_tolower(Glpk)-lib or --without-m4_tolower(Glpk)-lib was given.
     21385if test "${with_glpk_lib+set}" = set; then
     21386  withval="$with_glpk_lib"
     21387  coin_has_glpk=installed
     21388fi;
     21389
     21390
     21391# Check whether --with-m4_tolower(Glpk)-incdir or --without-m4_tolower(Glpk)-incdir was given.
     21392if test "${with_glpk_incdir+set}" = set; then
     21393  withval="$with_glpk_incdir"
     21394  coin_has_glpk=installed
     21395fi;
     21396
     21397
     21398# Check whether --with-m4_tolower(Glpk)-datadir or --without-m4_tolower(Glpk)-datadir was given.
     21399if test "${with_glpk_datadir+set}" = set; then
     21400  withval="$with_glpk_datadir"
     21401  coin_has_glpk=installed
     21402fi;
     21403fi
     21404
     21405if test $coin_has_glpk = notGiven; then
     21406  #only if pkg-config is available:
     21407  #see if user gives directory where project might be installed: assemble search path for pkg-config
     21408  if test -n "$PKG_CONFIG" ; then
     21409    coin_save_PKG_CONFIG_PATH="$PKG_CONFIG_PATH"
     21410
     21411# Check whether --with-coin-instdir or --without-coin-instdir was given.
     21412if test "${with_coin_instdir+set}" = set; then
     21413  withval="$with_coin_instdir"
     21414  if test -d "$withval"; then : ; else
     21415         { { echo "$as_me:$LINENO: error: argument for --with-coin-instdir not a directory" >&5
     21416echo "$as_me: error: argument for --with-coin-instdir not a directory" >&2;}
     21417   { (exit 1); exit 1; }; }
     21418       fi
     21419       PKG_CONFIG_PATH="$withval/lib/ThirdParty/pkgconfig:$PKG_CONFIG_PATH"
     21420
     21421fi;
     21422
     21423    # let pkgconfig check if the project is already installed somewhere
     21424    # need to export variable to be sure that the following pkg-config call gets these values
     21425    export PKG_CONFIG_PATH
     21426
     21427if test -n "$PKG_CONFIG" ; then
     21428  if $PKG_CONFIG --exists "glpk"; then
     21429    GLPK_VERSION=`$PKG_CONFIG --modversion "glpk" 2>/dev/null`
     21430    coin_has_glpk="$GLPK_VERSION"
     21431  else
     21432    GLPK_PKG_ERRORS=`$PKG_CONFIG $pkg_short_errors --errors-to-stdout --print-errors "glpk"`
     21433
     21434  fi
     21435else
     21436  { { echo "$as_me:$LINENO: error: \"Cannot check for existance of module Glpk without pkg-config\"" >&5
     21437echo "$as_me: error: \"Cannot check for existance of module Glpk without pkg-config\"" >&2;}
     21438   { (exit 1); exit 1; }; }
     21439fi
     21440
     21441
     21442    PKG_CONFIG_PATH="$coin_save_PKG_CONFIG_PATH"
     21443  fi
     21444fi
     21445
     21446# if not found yet, check if project is available in present directory
     21447if test "$coin_has_glpk" = notGiven; then
     21448  if test -d $srcdir/ThirdParty/Glpk; then
     21449    coin_pkg_is_here=no
     21450    for i in $srcdir/ThirdParty/Glpk/glpk/src/glplpx01.c; do
     21451         if test -r $i; then
     21452           coin_pkg_is_here=yes
     21453         fi
     21454       done
     21455
     21456    if test $coin_pkg_is_here = yes; then
     21457      coin_has_glpk=ThirdParty/Glpk
     21458    fi
     21459  fi
     21460fi
     21461
     21462echo "$as_me:$LINENO: result: $coin_has_glpk" >&5
     21463echo "${ECHO_T}$coin_has_glpk" >&6
     21464
     21465echo "$as_me:$LINENO: checking whether project Glpk need to be configured" >&5
     21466echo $ECHO_N "checking whether project Glpk need to be configured... $ECHO_C" >&6
     21467if test "$coin_has_glpk" != skipping &&
     21468   test "$coin_has_glpk" != notGiven &&
     21469   test "$coin_has_glpk" != installed; then
     21470
     21471  if test -r $srcdir/ThirdParty/Glpk/configure; then
    2093021472    coin_subdirs="$coin_subdirs ThirdParty/Glpk"
    2093121473    echo "$as_me:$LINENO: result: yes" >&5
     
    2093921481echo "${ECHO_T}no" >&6
    2094021482  fi
    20941 fi
    20942 
    20943 echo "$as_me:$LINENO: checking whether code for third party package HSL is available" >&5
    20944 echo $ECHO_N "checking whether code for third party package HSL is available... $ECHO_C" >&6
    20945 coin_skip=no
     21483else
     21484  echo "$as_me:$LINENO: result: no" >&5
     21485echo "${ECHO_T}no" >&6
     21486fi
     21487
     21488
     21489echo "$as_me:$LINENO: checking whether project HSL is available" >&5
     21490echo $ECHO_N "checking whether project HSL is available... $ECHO_C" >&6
     21491
     21492coin_has_hsl=notGiven
     21493
     21494# check if user wants to skip project in any case
     21495
    2094621496if test x"$COIN_SKIP_PROJECTS" != x; then
    2094721497  for dir in $COIN_SKIP_PROJECTS; do
    20948     if test $dir = ThirdParty/HSL; then
    20949       coin_skip=yes
     21498    if test $dir = "HSL"; then
     21499      coin_has_hsl=skipping
     21500    fi
     21501    if test $dir = "ThirdParty/HSL"; then
     21502      coin_has_hsl=skipping
    2095021503    fi
    2095121504  done
    2095221505fi
    20953 if test $coin_skip = yes; then
    20954   echo "$as_me:$LINENO: result: skipping" >&5
    20955 echo "${ECHO_T}skipping" >&6
    20956 else
    20957   coin_tmp=`echo $srcdir/ThirdParty/HSL/configure.ac`
    20958   # There is probably a more elegant way to get the first thing out here...
    20959   for i in $coin_tmp; do
    20960     coin_tmp2=$i
    20961     #break 1
    20962   done
    20963   if test -r $coin_tmp2; then
     21506
     21507if test $coin_has_hsl != skipping; then
     21508  if test $PACKAGE_TARNAME = hsl; then
     21509    coin_has_hsl=.
     21510  fi
     21511
     21512
     21513# Check whether --with-m4_tolower(HSL)-lib or --without-m4_tolower(HSL)-lib was given.
     21514if test "${with_hsl_lib+set}" = set; then
     21515  withval="$with_hsl_lib"
     21516  coin_has_hsl=installed
     21517fi;
     21518
     21519
     21520# Check whether --with-m4_tolower(HSL)-incdir or --without-m4_tolower(HSL)-incdir was given.
     21521if test "${with_hsl_incdir+set}" = set; then
     21522  withval="$with_hsl_incdir"
     21523  coin_has_hsl=installed
     21524fi;
     21525
     21526
     21527# Check whether --with-m4_tolower(HSL)-datadir or --without-m4_tolower(HSL)-datadir was given.
     21528if test "${with_hsl_datadir+set}" = set; then
     21529  withval="$with_hsl_datadir"
     21530  coin_has_hsl=installed
     21531fi;
     21532fi
     21533
     21534if test $coin_has_hsl = notGiven; then
     21535  #only if pkg-config is available:
     21536  #see if user gives directory where project might be installed: assemble search path for pkg-config
     21537  if test -n "$PKG_CONFIG" ; then
     21538    coin_save_PKG_CONFIG_PATH="$PKG_CONFIG_PATH"
     21539
     21540# Check whether --with-coin-instdir or --without-coin-instdir was given.
     21541if test "${with_coin_instdir+set}" = set; then
     21542  withval="$with_coin_instdir"
     21543  if test -d "$withval"; then : ; else
     21544         { { echo "$as_me:$LINENO: error: argument for --with-coin-instdir not a directory" >&5
     21545echo "$as_me: error: argument for --with-coin-instdir not a directory" >&2;}
     21546   { (exit 1); exit 1; }; }
     21547       fi
     21548       PKG_CONFIG_PATH="$withval/lib/ThirdParty/pkgconfig:$PKG_CONFIG_PATH"
     21549
     21550fi;
     21551
     21552    # let pkgconfig check if the project is already installed somewhere
     21553    # need to export variable to be sure that the following pkg-config call gets these values
     21554    export PKG_CONFIG_PATH
     21555
     21556if test -n "$PKG_CONFIG" ; then
     21557  if $PKG_CONFIG --exists "hsl"; then
     21558    HSL_VERSION=`$PKG_CONFIG --modversion "hsl" 2>/dev/null`
     21559    coin_has_hsl="$HSL_VERSION"
     21560  else
     21561    HSL_PKG_ERRORS=`$PKG_CONFIG $pkg_short_errors --errors-to-stdout --print-errors "hsl"`
     21562
     21563  fi
     21564else
     21565  { { echo "$as_me:$LINENO: error: \"Cannot check for existance of module HSL without pkg-config\"" >&5
     21566echo "$as_me: error: \"Cannot check for existance of module HSL without pkg-config\"" >&2;}
     21567   { (exit 1); exit 1; }; }
     21568fi
     21569
     21570
     21571    PKG_CONFIG_PATH="$coin_save_PKG_CONFIG_PATH"
     21572  fi
     21573fi
     21574
     21575# if not found yet, check if project is available in present directory
     21576if test "$coin_has_hsl" = notGiven; then
     21577  if test -d $srcdir/ThirdParty/HSL; then
     21578    coin_pkg_is_here=no
     21579    for i in $srcdir/ThirdParty/HSL/configure.ac; do
     21580         if test -r $i; then
     21581           coin_pkg_is_here=yes
     21582         fi
     21583       done
     21584
     21585    if test $coin_pkg_is_here = yes; then
     21586      coin_has_hsl=ThirdParty/HSL
     21587    fi
     21588  fi
     21589fi
     21590
     21591echo "$as_me:$LINENO: result: $coin_has_hsl" >&5
     21592echo "${ECHO_T}$coin_has_hsl" >&6
     21593
     21594echo "$as_me:$LINENO: checking whether project HSL need to be configured" >&5
     21595echo $ECHO_N "checking whether project HSL need to be configured... $ECHO_C" >&6
     21596if test "$coin_has_hsl" != skipping &&
     21597   test "$coin_has_hsl" != notGiven &&
     21598   test "$coin_has_hsl" != installed; then
     21599
     21600  if test -r $srcdir/ThirdParty/HSL/configure; then
    2096421601    coin_subdirs="$coin_subdirs ThirdParty/HSL"
    2096521602    echo "$as_me:$LINENO: result: yes" >&5
     
    2097321610echo "${ECHO_T}no" >&6
    2097421611  fi
    20975 fi
    20976 
    20977 echo "$as_me:$LINENO: checking whether code for third party package Lapack is available" >&5
    20978 echo $ECHO_N "checking whether code for third party package Lapack is available... $ECHO_C" >&6
    20979 coin_skip=no
     21612else
     21613  echo "$as_me:$LINENO: result: no" >&5
     21614echo "${ECHO_T}no" >&6
     21615fi
     21616
     21617
     21618echo "$as_me:$LINENO: checking whether project Lapack is available" >&5
     21619echo $ECHO_N "checking whether project Lapack is available... $ECHO_C" >&6
     21620
     21621coin_has_lapack=notGiven
     21622
     21623# check if user wants to skip project in any case
     21624
    2098021625if test x"$COIN_SKIP_PROJECTS" != x; then
    2098121626  for dir in $COIN_SKIP_PROJECTS; do
    20982     if test $dir = ThirdParty/Lapack; then
    20983       coin_skip=yes
     21627    if test $dir = "Lapack"; then
     21628      coin_has_lapack=skipping
     21629    fi
     21630    if test $dir = "ThirdParty/Lapack"; then
     21631      coin_has_lapack=skipping
    2098421632    fi
    2098521633  done
    2098621634fi
    20987 if test $coin_skip = yes; then
    20988   echo "$as_me:$LINENO: result: skipping" >&5
    20989 echo "${ECHO_T}skipping" >&6
    20990 else
    20991   coin_tmp=`echo $srcdir/ThirdParty/Lapack/LAPACK/SRC/dlarf.f`
    20992   # There is probably a more elegant way to get the first thing out here...
    20993   for i in $coin_tmp; do
    20994     coin_tmp2=$i
    20995     #break 1
    20996   done
    20997   if test -r $coin_tmp2; then
     21635
     21636if test $coin_has_lapack != skipping; then
     21637  if test $PACKAGE_TARNAME = lapack; then
     21638    coin_has_lapack=.
     21639  fi
     21640
     21641
     21642# Check whether --with-m4_tolower(Lapack)-lib or --without-m4_tolower(Lapack)-lib was given.
     21643if test "${with_lapack_lib+set}" = set; then
     21644  withval="$with_lapack_lib"
     21645  coin_has_lapack=installed
     21646fi;
     21647
     21648
     21649# Check whether --with-m4_tolower(Lapack)-incdir or --without-m4_tolower(Lapack)-incdir was given.
     21650if test "${with_lapack_incdir+set}" = set; then
     21651  withval="$with_lapack_incdir"
     21652  coin_has_lapack=installed
     21653fi;
     21654
     21655
     21656# Check whether --with-m4_tolower(Lapack)-datadir or --without-m4_tolower(Lapack)-datadir was given.
     21657if test "${with_lapack_datadir+set}" = set; then
     21658  withval="$with_lapack_datadir"
     21659  coin_has_lapack=installed
     21660fi;
     21661fi
     21662
     21663if test $coin_has_lapack = notGiven; then
     21664  #only if pkg-config is available:
     21665  #see if user gives directory where project might be installed: assemble search path for pkg-config
     21666  if test -n "$PKG_CONFIG" ; then
     21667    coin_save_PKG_CONFIG_PATH="$PKG_CONFIG_PATH"
     21668
     21669# Check whether --with-coin-instdir or --without-coin-instdir was given.
     21670if test "${with_coin_instdir+set}" = set; then
     21671  withval="$with_coin_instdir"
     21672  if test -d "$withval"; then : ; else
     21673         { { echo "$as_me:$LINENO: error: argument for --with-coin-instdir not a directory" >&5
     21674echo "$as_me: error: argument for --with-coin-instdir not a directory" >&2;}
     21675   { (exit 1); exit 1; }; }
     21676       fi
     21677       PKG_CONFIG_PATH="$withval/lib/ThirdParty/pkgconfig:$PKG_CONFIG_PATH"
     21678
     21679fi;
     21680
     21681    # let pkgconfig check if the project is already installed somewhere
     21682    # need to export variable to be sure that the following pkg-config call gets these values
     21683    export PKG_CONFIG_PATH
     21684
     21685if test -n "$PKG_CONFIG" ; then
     21686  if $PKG_CONFIG --exists "lapack"; then
     21687    LAPACK_VERSION=`$PKG_CONFIG --modversion "lapack" 2>/dev/null`
     21688    coin_has_lapack="$LAPACK_VERSION"
     21689  else
     21690    LAPACK_PKG_ERRORS=`$PKG_CONFIG $pkg_short_errors --errors-to-stdout --print-errors "lapack"`
     21691
     21692  fi
     21693else
     21694  { { echo "$as_me:$LINENO: error: \"Cannot check for existance of module Lapack without pkg-config\"" >&5
     21695echo "$as_me: error: \"Cannot check for existance of module Lapack without pkg-config\"" >&2;}
     21696   { (exit 1); exit 1; }; }
     21697fi
     21698
     21699
     21700    PKG_CONFIG_PATH="$coin_save_PKG_CONFIG_PATH"
     21701  fi
     21702fi
     21703
     21704# if not found yet, check if project is available in present directory
     21705if test "$coin_has_lapack" = notGiven; then
     21706  if test -d $srcdir/ThirdParty/Lapack; then
     21707    coin_pkg_is_here=no
     21708    for i in $srcdir/ThirdParty/Lapack/LAPACK/SRC/dlarf.f; do
     21709         if test -r $i; then
     21710           coin_pkg_is_here=yes
     21711         fi
     21712       done
     21713
     21714    if test $coin_pkg_is_here = yes; then
     21715      coin_has_lapack=ThirdParty/Lapack
     21716    fi
     21717  fi
     21718fi
     21719
     21720echo "$as_me:$LINENO: result: $coin_has_lapack" >&5
     21721echo "${ECHO_T}$coin_has_lapack" >&6
     21722
     21723echo "$as_me:$LINENO: checking whether project Lapack need to be configured" >&5
     21724echo $ECHO_N "checking whether project Lapack need to be configured... $ECHO_C" >&6
     21725if test "$coin_has_lapack" != skipping &&
     21726   test "$coin_has_lapack" != notGiven &&
     21727   test "$coin_has_lapack" != installed; then
     21728
     21729  if test -r $srcdir/ThirdParty/Lapack/configure; then
    2099821730    coin_subdirs="$coin_subdirs ThirdParty/Lapack"
    2099921731    echo "$as_me:$LINENO: result: yes" >&5
     
    2100721739echo "${ECHO_T}no" >&6
    2100821740  fi
    21009 fi
    21010 
    21011 echo "$as_me:$LINENO: checking whether code for third party package Metis is available" >&5
    21012 echo $ECHO_N "checking whether code for third party package Metis is available... $ECHO_C" >&6
    21013 coin_skip=no
     21741else
     21742  echo "$as_me:$LINENO: result: no" >&5
     21743echo "${ECHO_T}no" >&6
     21744fi
     21745
     21746
     21747echo "$as_me:$LINENO: checking whether project Metis is available" >&5
     21748echo $ECHO_N "checking whether project Metis is available... $ECHO_C" >&6
     21749
     21750coin_has_metis=notGiven
     21751
     21752# check if user wants to skip project in any case
     21753
    2101421754if test x"$COIN_SKIP_PROJECTS" != x; then
    2101521755  for dir in $COIN_SKIP_PROJECTS; do
    21016     if test $dir = ThirdParty/Metis; then
    21017       coin_skip=yes
     21756    if test $dir = "Metis"; then
     21757      coin_has_metis=skipping
     21758    fi
     21759    if test $dir = "ThirdParty/Metis"; then
     21760      coin_has_metis=skipping
    2101821761    fi
    2101921762  done
    2102021763fi
    21021 if test $coin_skip = yes; then
    21022   echo "$as_me:$LINENO: result: skipping" >&5
    21023 echo "${ECHO_T}skipping" >&6
    21024 else
    21025   coin_tmp=`echo $srcdir/ThirdParty/Metis/metis-4.0/Lib/balance.c`
    21026   # There is probably a more elegant way to get the first thing out here...
    21027   for i in $coin_tmp; do
    21028     coin_tmp2=$i
    21029     #break 1
    21030   done
    21031   if test -r $coin_tmp2; then
     21764
     21765if test $coin_has_metis != skipping; then
     21766  if test $PACKAGE_TARNAME = metis; then
     21767    coin_has_metis=.
     21768  fi
     21769
     21770
     21771# Check whether --with-m4_tolower(Metis)-lib or --without-m4_tolower(Metis)-lib was given.
     21772if test "${with_metis_lib+set}" = set; then
     21773  withval="$with_metis_lib"
     21774  coin_has_metis=installed
     21775fi;
     21776
     21777
     21778# Check whether --with-m4_tolower(Metis)-incdir or --without-m4_tolower(Metis)-incdir was given.
     21779if test "${with_metis_incdir+set}" = set; then
     21780  withval="$with_metis_incdir"
     21781  coin_has_metis=installed
     21782fi;
     21783
     21784
     21785# Check whether --with-m4_tolower(Metis)-datadir or --without-m4_tolower(Metis)-datadir was given.
     21786if test "${with_metis_datadir+set}" = set; then
     21787  withval="$with_metis_datadir"
     21788  coin_has_metis=installed
     21789fi;
     21790fi
     21791
     21792if test $coin_has_metis = notGiven; then
     21793  #only if pkg-config is available:
     21794  #see if user gives directory where project might be installed: assemble search path for pkg-config
     21795  if test -n "$PKG_CONFIG" ; then
     21796    coin_save_PKG_CONFIG_PATH="$PKG_CONFIG_PATH"
     21797
     21798# Check whether --with-coin-instdir or --without-coin-instdir was given.
     21799if test "${with_coin_instdir+set}" = set; then
     21800  withval="$with_coin_instdir"
     21801  if test -d "$withval"; then : ; else
     21802         { { echo "$as_me:$LINENO: error: argument for --with-coin-instdir not a directory" >&5
     21803echo "$as_me: error: argument for --with-coin-instdir not a directory" >&2;}
     21804   { (exit 1); exit 1; }; }
     21805       fi
     21806       PKG_CONFIG_PATH="$withval/lib/ThirdParty/pkgconfig:$PKG_CONFIG_PATH"
     21807
     21808fi;
     21809
     21810    # let pkgconfig check if the project is already installed somewhere
     21811    # need to export variable to be sure that the following pkg-config call gets these values
     21812    export PKG_CONFIG_PATH
     21813
     21814if test -n "$PKG_CONFIG" ; then
     21815  if $PKG_CONFIG --exists "metis"; then
     21816    METIS_VERSION=`$PKG_CONFIG --modversion "metis" 2>/dev/null`
     21817    coin_has_metis="$METIS_VERSION"
     21818  else
     21819    METIS_PKG_ERRORS=`$PKG_CONFIG $pkg_short_errors --errors-to-stdout --print-errors "metis"`
     21820
     21821  fi
     21822else
     21823  { { echo "$as_me:$LINENO: error: \"Cannot check for existance of module Metis without pkg-config\"" >&5
     21824echo "$as_me: error: \"Cannot check for existance of module Metis without pkg-config\"" >&2;}
     21825   { (exit 1); exit 1; }; }
     21826fi
     21827
     21828
     21829    PKG_CONFIG_PATH="$coin_save_PKG_CONFIG_PATH"
     21830  fi
     21831fi
     21832
     21833# if not found yet, check if project is available in present directory
     21834if test "$coin_has_metis" = notGiven; then
     21835  if test -d $srcdir/ThirdParty/Metis; then
     21836    coin_pkg_is_here=no
     21837    for i in $srcdir/ThirdParty/Metis/metis-4.0/Lib/balance.c; do
     21838         if test -r $i; then
     21839           coin_pkg_is_here=yes
     21840         fi
     21841       done
     21842
     21843    if test $coin_pkg_is_here = yes; then
     21844      coin_has_metis=ThirdParty/Metis
     21845    fi
     21846  fi
     21847fi
     21848
     21849echo "$as_me:$LINENO: result: $coin_has_metis" >&5
     21850echo "${ECHO_T}$coin_has_metis" >&6
     21851
     21852echo "$as_me:$LINENO: checking whether project Metis need to be configured" >&5
     21853echo $ECHO_N "checking whether project Metis need to be configured... $ECHO_C" >&6
     21854if test "$coin_has_metis" != skipping &&
     21855   test "$coin_has_metis" != notGiven &&
     21856   test "$coin_has_metis" != installed; then
     21857
     21858  if test -r $srcdir/ThirdParty/Metis/configure; then
    2103221859    coin_subdirs="$coin_subdirs ThirdParty/Metis"
    2103321860    echo "$as_me:$LINENO: result: yes" >&5
     
    2104121868echo "${ECHO_T}no" >&6
    2104221869  fi
    21043 fi
    21044 
    21045 echo "$as_me:$LINENO: checking whether code for third party package Mumps is available" >&5
    21046 echo $ECHO_N "checking whether code for third party package Mumps is available... $ECHO_C" >&6
    21047 coin_skip=no
     21870else
     21871  echo "$as_me:$LINENO: result: no" >&5
     21872echo "${ECHO_T}no" >&6
     21873fi
     21874
     21875
     21876echo "$as_me:$LINENO: checking whether project Mumps is available" >&5
     21877echo $ECHO_N "checking whether project Mumps is available... $ECHO_C" >&6
     21878
     21879coin_has_mumps=notGiven
     21880
     21881# check if user wants to skip project in any case
     21882
    2104821883if test x"$COIN_SKIP_PROJECTS" != x; then
    2104921884  for dir in $COIN_SKIP_PROJECTS; do
    21050     if test $dir = ThirdParty/Mumps; then
    21051       coin_skip=yes
     21885    if test $dir = "Mumps"; then
     21886      coin_has_mumps=skipping
     21887    fi
     21888    if test $dir = "ThirdParty/Mumps"; then
     21889      coin_has_mumps=skipping
    2105221890    fi
    2105321891  done
    2105421892fi
    21055 if test $coin_skip = yes; then
    21056   echo "$as_me:$LINENO: result: skipping" >&5
    21057 echo "${ECHO_T}skipping" >&6
    21058 else
    21059   coin_tmp=`echo $srcdir/ThirdParty/Mumps/MUMPS/src/dmumps_part1.F`
    21060   # There is probably a more elegant way to get the first thing out here...
    21061   for i in $coin_tmp; do
    21062     coin_tmp2=$i
    21063     #break 1
    21064   done
    21065   if test -r $coin_tmp2; then
     21893
     21894if test $coin_has_mumps != skipping; then
     21895  if test $PACKAGE_TARNAME = mumps; then
     21896    coin_has_mumps=.
     21897  fi
     21898
     21899
     21900# Check whether --with-m4_tolower(Mumps)-lib or --without-m4_tolower(Mumps)-lib was given.
     21901if test "${with_mumps_lib+set}" = set; then
     21902  withval="$with_mumps_lib"
     21903  coin_has_mumps=installed
     21904fi;
     21905
     21906
     21907# Check whether --with-m4_tolower(Mumps)-incdir or --without-m4_tolower(Mumps)-incdir was given.
     21908if test "${with_mumps_incdir+set}" = set; then
     21909  withval="$with_mumps_incdir"
     21910  coin_has_mumps=installed
     21911fi;
     21912
     21913
     21914# Check whether --with-m4_tolower(Mumps)-datadir or --without-m4_tolower(Mumps)-datadir was given.
     21915if test "${with_mumps_datadir+set}" = set; then
     21916  withval="$with_mumps_datadir"
     21917  coin_has_mumps=installed
     21918fi;
     21919fi
     21920
     21921if test $coin_has_mumps = notGiven; then
     21922  #only if pkg-config is available:
     21923  #see if user gives directory where project might be installed: assemble search path for pkg-config
     21924  if test -n "$PKG_CONFIG" ; then
     21925    coin_save_PKG_CONFIG_PATH="$PKG_CONFIG_PATH"
     21926
     21927# Check whether --with-coin-instdir or --without-coin-instdir was given.
     21928if test "${with_coin_instdir+set}" = set; then
     21929  withval="$with_coin_instdir"
     21930  if test -d "$withval"; then : ; else
     21931         { { echo "$as_me:$LINENO: error: argument for --with-coin-instdir not a directory" >&5
     21932echo "$as_me: error: argument for --with-coin-instdir not a directory" >&2;}
     21933   { (exit 1); exit 1; }; }
     21934       fi
     21935       PKG_CONFIG_PATH="$withval/lib/ThirdParty/pkgconfig:$PKG_CONFIG_PATH"
     21936
     21937fi;
     21938
     21939    # let pkgconfig check if the project is already installed somewhere
     21940    # need to export variable to be sure that the following pkg-config call gets these values
     21941    export PKG_CONFIG_PATH
     21942
     21943if test -n "$PKG_CONFIG" ; then
     21944  if $PKG_CONFIG --exists "mumps"; then
     21945    MUMPS_VERSION=`$PKG_CONFIG --modversion "mumps" 2>/dev/null`
     21946    coin_has_mumps="$MUMPS_VERSION"
     21947  else
     21948    MUMPS_PKG_ERRORS=`$PKG_CONFIG $pkg_short_errors --errors-to-stdout --print-errors "mumps"`
     21949
     21950  fi
     21951else
     21952  { { echo "$as_me:$LINENO: error: \"Cannot check for existance of module Mumps without pkg-config\"" >&5
     21953echo "$as_me: error: \"Cannot check for existance of module Mumps without pkg-config\"" >&2;}
     21954   { (exit 1); exit 1; }; }
     21955fi
     21956
     21957
     21958    PKG_CONFIG_PATH="$coin_save_PKG_CONFIG_PATH"
     21959  fi
     21960fi
     21961
     21962# if not found yet, check if project is available in present directory
     21963if test "$coin_has_mumps" = notGiven; then
     21964  if test -d $srcdir/ThirdParty/Mumps; then
     21965    coin_pkg_is_here=no
     21966    for i in $srcdir/ThirdParty/Mumps/MUMPS/src/dmumps_part1.F; do
     21967         if test -r $i; then
     21968           coin_pkg_is_here=yes
     21969         fi
     21970       done
     21971
     21972    if test $coin_pkg_is_here = yes; then
     21973      coin_has_mumps=ThirdParty/Mumps
     21974    fi
     21975  fi
     21976fi
     21977
     21978echo "$as_me:$LINENO: result: $coin_has_mumps" >&5
     21979echo "${ECHO_T}$coin_has_mumps" >&6
     21980
     21981echo "$as_me:$LINENO: checking whether project Mumps need to be configured" >&5
     21982echo $ECHO_N "checking whether project Mumps need to be configured... $ECHO_C" >&6
     21983if test "$coin_has_mumps" != skipping &&
     21984   test "$coin_has_mumps" != notGiven &&
     21985   test "$coin_has_mumps" != installed; then
     21986
     21987  if test -r $srcdir/ThirdParty/Mumps/configure; then
    2106621988    coin_subdirs="$coin_subdirs ThirdParty/Mumps"
    2106721989    echo "$as_me:$LINENO: result: yes" >&5
     
    2107521997echo "${ECHO_T}no" >&6
    2107621998  fi
    21077 fi
    21078 
    21079 
    21080 #############################################################################
    21081 #                  Check which subprojects are there                        #
    21082 #############################################################################
     21999else
     22000  echo "$as_me:$LINENO: result: no" >&5
     22001echo "${ECHO_T}no" >&6
     22002fi
    2108322003
    2108422004
     
    2114822068    done
    2114922069    subdirs="$new_subdirs"
     22070  fi
     22071
     22072  # need to come before AC_OUTPUT
     22073  if test x$coin_projectdir != xyes; then
     22074    # write coin_subdirs to a file so that project configuration knows where to find uninstalled projects
     22075    echo $coin_subdirs > coin_subdirs.txt
     22076  else
     22077    # substitute for OBJDIR, needed to setup .pc file for uninstalled project
     22078    ABSBUILDDIR="`pwd`"
     22079
    2115022080  fi
    2115122081
     
    2193122861s,@RPATH_FLAGS@,$RPATH_FLAGS,;t t
    2193222862s,@LT_LDFLAGS@,$LT_LDFLAGS,;t t
     22863s,@PKG_CONFIG@,$PKG_CONFIG,;t t
     22864s,@ac_pt_PKG_CONFIG@,$ac_pt_PKG_CONFIG,;t t
     22865s,@COIN_SKIP_PROJECTS@,$COIN_SKIP_PROJECTS,;t t
    2193322866s,@subdirs@,$subdirs,;t t
    2193422867s,@LIBEXT@,$LIBEXT,;t t
    2193522868s,@VPATH_DISTCLEANFILES@,$VPATH_DISTCLEANFILES,;t t
     22869s,@ABSBUILDDIR@,$ABSBUILDDIR,;t t
    2193622870s,@LIBOBJS@,$LIBOBJS,;t t
    2193722871s,@LTLIBOBJS@,$LTLIBOBJS,;t t
  • ThirdParty/All/branches/BSPsplit/configure.ac

    r1387 r1447  
    4242#############################################################################
    4343
    44 AC_COIN_THIRDPARTY_SUBDIRS([ASL],[ThirdParty/ASL],[solvers/asl.h])
    45 AC_COIN_THIRDPARTY_SUBDIRS([Blas],[ThirdParty/Blas],[daxpy.f])
    46 AC_COIN_THIRDPARTY_SUBDIRS([FilterSQP],[ThirdParty/FilterSQP],[source/src/filter.f])
    47 AC_COIN_THIRDPARTY_SUBDIRS([Glpk],[ThirdParty/Glpk],[glpk/src/glplpx01.c])
    48 AC_COIN_THIRDPARTY_SUBDIRS([HSL],[ThirdParty/HSL],[configure.ac])
    49 AC_COIN_THIRDPARTY_SUBDIRS([Lapack],[ThirdParty/Lapack],[LAPACK/SRC/dlarf.f])
    50 AC_COIN_THIRDPARTY_SUBDIRS([Metis],[ThirdParty/Metis],[metis-4.0/Lib/balance.c])
    51 AC_COIN_THIRDPARTY_SUBDIRS([Mumps],[ThirdParty/Mumps],[MUMPS/src/dmumps_part1.F])
    52 
    53 #############################################################################
    54 #                  Check which subprojects are there                        #
    55 #############################################################################
    56 
     44AC_COIN_MAIN_PACKAGEDIR([ASL],[ThirdParty],[solvers/asl.h])
     45AC_COIN_MAIN_PACKAGEDIR([Blas],[ThirdParty],[daxpy.f])
     46AC_COIN_MAIN_PACKAGEDIR([FilterSQP],[ThirdParty],[source/src/filter.f])
     47AC_COIN_MAIN_PACKAGEDIR([Glpk],[ThirdParty],[glpk/src/glplpx01.c])
     48AC_COIN_MAIN_PACKAGEDIR([HSL],[ThirdParty],[configure.ac])
     49AC_COIN_MAIN_PACKAGEDIR([Lapack],[ThirdParty],[LAPACK/SRC/dlarf.f])
     50AC_COIN_MAIN_PACKAGEDIR([Metis],[ThirdParty],[metis-4.0/Lib/balance.c])
     51AC_COIN_MAIN_PACKAGEDIR([Mumps],[ThirdParty],[MUMPS/src/dmumps_part1.F])
    5752
    5853##############################################################################
Note: See TracChangeset for help on using the changeset viewer.